CHECKUPDATES(8)

NAME
checkupdates - safely print a list of pending updates

SYNOPSIS

checkupdates [options]

DESCRIPTION

checkupdates checks for pending updates using a separate pacman database located in TMPDIR if CHECKUPDATES_DB is not set and outputs a list of updates with the old and new version.

OPTIONS

-d, --download
    Download any pending updates to the pacman cache.

-h, --help
    Display syntax and command-line options.

--nocolor
    Do not colorize output.

-n, --nosync
    Do not sync the temporary database, works best when the temporary database is updated regularly through some other means such as a cronjob or systemd timer.

-V, --version
    Display version information.

ENVIRONMENT

CHECKUPDATES_DB
    Override the default ${TMPDIR:-/tmp}/checkup-db-${UID} temporary database location.

TMPDIR
    Override the default /tmp temporary directory.

ERRORS

On exit, checkupdates will return one of the following error codes.

0
    Normal exit condition.

1
    Unknown cause of failure.

2
    No updates are available.

SEE ALSO

pacman(8), pacman.conf(5)

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, file an issue with as much detail as possible at https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTHORS

Current maintainers:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

For additional contributors, use git shortlog -s on the pacman-contrib.git repository.